//////////////////////////////////////////////////////////////////////////////
//
// EigenPatch.h, 10/10/01, Ilja Friedel
//
//////////////////////////////////////////////////////////////////////////////

#ifndef EIGENPATCH_USED
#define EIGENPATCH_USED

//////////////////////////////////////////////////////////////////////////////

#include <assert.h>
#include <stdio.h>
#include <cmath>
#include <stdlib.h>
#include <iostream>
using namespace std;
#include "Patch.h"
#include "BicubicPatch.h"
#include "EigenStructure.h"
#include "ExtraordinaryPatch.h"

//////////////////////////////////////////////////////////////////////////////

class EigenPatch:public ExtraordinaryPatch
{
 public:

  int      MaxEigenFunction;

//////////////////////////////////////////////////////////////////////////////

  virtual ~EigenPatch();
  EigenPatch(double **data, int N, int MEF);
};

//////////////////////////////////////////////////////////////////////////////

#endif
