//////////////////////////////////////////////////////////////////////////////
//
// BilinearPatch.C, 09/10/01, Ilja Friedel
//
//////////////////////////////////////////////////////////////////////////////

#include "BilinearPatch.h"

//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////

BilinearPatch::~BilinearPatch()
{
  // nothing to do
}

//////////////////////////////////////////////////////////////////////////////

BilinearPatch::BilinearPatch(ExtraordinaryPatch *EP)
{
  //int val;

  //val=EP->Valence;

  control_points[0][0] = EP->evaluate_S(0.0, 0.0, 0);
  control_points[0][1] = EP->evaluate_S(0.0, 1.0, 0);
  control_points[0][2] = EP->evaluate_S(1.0, 0.0, 0);
  control_points[0][3] = EP->evaluate_S(1.0, 1.0, 0);

  control_points[1][0] = EP->evaluate_S(0.0, 0.0, 1);
  control_points[1][1] = EP->evaluate_S(0.0, 1.0, 1);
  control_points[1][2] = EP->evaluate_S(1.0, 0.0, 1);
  control_points[1][3] = EP->evaluate_S(1.0, 1.0, 1);

  control_points[2][0] = EP->evaluate_S(0.0, 0.0, 2);
  control_points[2][1] = EP->evaluate_S(0.0, 1.0, 2);
  control_points[2][2] = EP->evaluate_S(1.0, 0.0, 2);
  control_points[2][3] = EP->evaluate_S(1.0, 1.0, 2);
}

//////////////////////////////////////////////////////////////////////////////

double BilinearPatch::Kp_function(const double u, const double v)
{
  assert(u && v);
  exit(1);
}

//////////////////////////////////////////////////////////////////////////////

double BilinearPatch::Km_function(const double u, const double v)
{
  assert(u && v);
  exit(1);
}

//////////////////////////////////////////////////////////////////////////////

void BilinearPatch::Kp(Patch *S, double *K)
{
  assert(S && K);
  exit(1);
}

//////////////////////////////////////////////////////////////////////////////

void BilinearPatch::Km(Patch *S, double *K)
{
  assert(S && K);
  exit(1);
}

//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
