//////////////////////////////////////////////////////////////////////////////
//
// EigenPatch.cpp, 10/10/01, Ilja Friedel
//
//////////////////////////////////////////////////////////////////////////////

#include "EigenPatch.h"

//////////////////////////////////////////////////////////////////////////////

EigenPatch::~EigenPatch()
{

}

//////////////////////////////////////////////////////////////////////////////

EigenPatch::EigenPatch(double **data, int N, int MEF):ExtraordinaryPatch(data,N)
{
  int i;

  MaxEigenFunction=MEF;

  for(i=0;i<M;i++)
    {
      if(i>MEF)
	{
	  ES->eigen_controlpoints[0][i] = 0.0;
	  ES->eigen_controlpoints[1][i] = 0.0;
	  ES->eigen_controlpoints[2][i] = 0.0;
	}
      else
	{
	  cout << " [" <<i<<", "<<
	    ES->eigen_controlpoints[0][i] <<", "<<
	    ES->eigen_controlpoints[1][i] <<", "<<
	    ES->eigen_controlpoints[2][i] <<"]"<<endl;
	}
    }
}

//////////////////////////////////////////////////////////////////////////////

